explain_ftello_or_die(3)

NAME
explain_ftello_or_die - get stream position and report errors

SYNOPSIS
#include <libexplain/ftello.h>

off_t explain_ftello_or_die(FILE *fp);
off_t explain_ftello_on_error(FILE *fp);

DESCRIPTION
The explain_ftello_or_die function is used to call the ftello(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_ftello(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_ftello_on_error function is used to call the ftello(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_ftello(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the ftello(3) system call.

RETURN VALUE
The explain_ftello_or_die function only returns on success, see ftello(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_ftello_on_error function always returns the value return by the wrapped ftello(3) system call.

EXAMPLE
The explain_ftello_or_die function is intended to be used in a fashion similar to the following example:
    off_t result = explain_ftello_or_die(fp);

SEE ALSO

ftello(3)
    get stream position

explain_ftello(3)
    explain ftello(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller